WebWorkActionDocsSubTask (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.webwork.WebWorkActionDocsSubTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.webwork
Class WebWorkActionDocsSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.modules.webwork.WebWorkActionDocsSubTask

All Implemented Interfaces:
  Serializable

public class WebWorkActionDocsSubTask
extends TemplateSubTask

Generates HTML file containing description of defined WebWork actions.

Version:
  $Revision: 1.5 $
Author:
  Rickard Oberg (rickard@xpedio.com)
See Also:
  Serialized Form
ant.element
  display-name="WebWork Action Docs" name="webworkactiondocs" parent="xdoclet.modules.web.WebDocletTask"
created
  September 4, 2001

Nested Class Summary

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`WebWorkActionDocsSubTask()` Describe what the WebWorkActionDocsSubTask constructor does

Method Summary
`String` | `getJavadocDir()` Gets the JavadocDir attribute of the WebWorkActionDocsSubTask object
`void` | `setJavadocDir(String javadocDir)` Sets the JavadocDir attribute of the WebWorkActionDocsSubTask object

Methods inherited from class xdoclet.TemplateSubTask
`addOfType, addOfType, addPackageSubstitution, copyAttributesFrom, engineFinished, engineStarted, execute, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGeneratedFileName, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, matchesGenerationRules, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcess, startProcessForAll, startProcessPerClass, validateOptions`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebWorkActionDocsSubTask

    public WebWorkActionDocsSubTask()

  Describe what the WebWorkActionDocsSubTask constructor does

Method Detail

### getJavadocDir

    public String getJavadocDir()

  Gets the JavadocDir attribute of the WebWorkActionDocsSubTask object

  Returns:
    The JavadocDir value

### setJavadocDir

    public void setJavadocDir(String javadocDir)

  Sets the JavadocDir attribute of the WebWorkActionDocsSubTask object

  Parameters:
    `javadocDir` - The new JavadocDir value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD